import "@testing-library/jest-dom";

jest.mock("chart.js/auto", () => ({
  default: {
    register: jest.fn(), // Mock für register-Methode
  },
  Chart: jest.fn().mockImplementation(() => ({
    destroy: jest.fn(),
    update: jest.fn(),
  })),
}));

jest.mock("chartjs-plugin-zoom", () => ({}));
